Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.ooxml
Class RelationshipTransformService

    java.lang.Object
      javax.xml.crypto.dsig.TransformService
          be.fedict.eid.applet.service.signer.ooxml.RelationshipTransformService

All Implemented Interfaces:
  AlgorithmMethod, Transform, XMLStructure

    public class RelationshipTransformService

extends TransformService

JSR105 implementation of the RelationshipTransform transformation.

Specs: http://openiso.org/Ecma/376/Part2/12.2.4#26

Author:
  Frank Cornelis

Field Summary
`static String` | `TRANSFORM_URI`

Fields inherited from interface javax.xml.crypto.dsig.Transform
`BASE64, ENVELOPED, XPATH, XPATH2, XSLT`

Constructor Summary
`RelationshipTransformService()` Default constructor.

Method Summary
`AlgorithmParameterSpec` | `getParameterSpec()`
`void` | `init(TransformParameterSpec params)`
`void` | `init(XMLStructure parent, XMLCryptoContext context)`
`boolean` | `isFeatureSupported(String feature)`
`void` | `marshalParams(XMLStructure parent, XMLCryptoContext context)`
`Data` | `transform(Data data, XMLCryptoContext context)`
`Data` | `transform(Data data, XMLCryptoContext context, OutputStream os)`

Methods inherited from class javax.xml.crypto.dsig.TransformService
`getAlgorithm, getInstance, getInstance, getInstance, getMechanismType, getProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSFORM_URI

    public static final String TRANSFORM_URI

See Also:
  Constant Field Values

Constructor Detail

### RelationshipTransformService

    public RelationshipTransformService()

  Default constructor.

Method Detail

### init

    public void init(TransformParameterSpec params)
              throws InvalidAlgorithmParameterException

  Specified by:
    `init` in class `TransformService`
  Throws:
    `InvalidAlgorithmParameterException`

### init

    public void init(XMLStructure parent,
                     XMLCryptoContext context)
              throws InvalidAlgorithmParameterException

  Specified by:
    `init` in class `TransformService`
  Throws:
    `InvalidAlgorithmParameterException`

### marshalParams

    public void marshalParams(XMLStructure parent,
                              XMLCryptoContext context)
                       throws MarshalException

  Specified by:
    `marshalParams` in class `TransformService`
  Throws:
    `MarshalException`

### getParameterSpec

    public AlgorithmParameterSpec getParameterSpec()

### transform

    public Data transform(Data data,
                          XMLCryptoContext context)
                   throws TransformException

  Throws:
    `TransformException`

### transform

    public Data transform(Data data,
                          XMLCryptoContext context,
                          OutputStream os)
                   throws TransformException

  Throws:
    `TransformException`

### isFeatureSupported

    public boolean isFeatureSupported(String feature)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.